#
# spec file for package libmpeg2 (Version 1.1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  nasm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libmpeg2
Copyright:    GPL
Group:        Development/Libraries
Provides:     mpeg_lib 
Autoreqprov:  on
Version:      1.1.5
Release:      251
Summary:      MPEG2 decoder library and programs
URL:	http://heroine.linuxave.net/libmpeg2.html
Source:  ftp://ftp.sai.msu.su/pub/unix/mpeg/libmpeg2-%{version}.tar.bz2
Patch: libmpeg2-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build 

%description
The library and example programs for accessing MPEG2 files.

Authors:
--------
    Adam Williams <broadcast@earthling.net>

SuSE series: d

%prep
%setup
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib 
mkdir -p $RPM_BUILD_ROOT/usr/include
cp -av mpeg2cat mpeg2toc $RPM_BUILD_ROOT/usr/bin
cp -av dump $RPM_BUILD_ROOT/usr/bin/mpeg2dump
cp -av libmpeg2.h $RPM_BUILD_ROOT/usr/include
cp -av libmpeg2.a $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%doc COPYING README docs/*
/usr/include/*
/usr/lib/libmpeg2.a
/usr/bin/mpeg2dump
/usr/bin/mpeg2cat
/usr/bin/mpeg2toc

%changelog -n libmpeg2
* Mon Nov 27 2000 - nadvornik@suse.cz
- fixed libmpeg2.h (bug #4358)
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
* Fri Mar 24 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Feb 29 2000 - fehr@suse.de
- renamed /usr/bin/dump to /usr/bin/mpeg2dump
* Tue Feb 29 2000 - uli@suse.de
- fixed for non-IA32 archs
* Thu Feb 24 2000 - fehr@suse.de
- add libmpeg2 package to SuSE distribution
